image: eicweb.phy.anl.gov:4567/containers/eic_container/eic_container:latest 

default:
  artifacts:
    paths:
      - results/
      - datasets/
      - data
        #    exclude:
        #      - .git/
        #      - datasets/.git/

stages:
  - data_init
  - ci_gen
  - benchmarks
  - deploy
    #  - simulate
    #- others

get_data:
  stage: data_init
  tags:
    - sodium
  script:
    - git clone https://eicweb.phy.anl.gov/EIC/datasets.git datasets
    - ln -s datasets/data
    - mkdir -p results

      #generate_config:
      #  stage: ci_gen
      #  tags:
      #    - sodium
      #  script:
      #    - ./bin/gen_ci_config -p track_test_ -i trackers > results/trackers_config.yml
      #    - ./bin/gen_ci_config -p cal_test_   -i calorimeters > results/calorimeters_config.yml
      #    - ./bin/gen_ci_config -p pid_test_   -i pid > results/pid_config.yml

calorimeters_pipeline:
  stage: benchmarks
  trigger:
    include: results/calorimeters_config.yml
    #include:
    #  - artifact: results/calorimeters_config.yml
        #job: generate_config
        #allow_failure: true

trackers-pipeline:
  stage: benchmarks
  trigger:
    include: results/trackers_config.yml
    #include:
    #  - artifact: results/trackers_config.yml
        #job: generate_config
        #allow_failure: true

pid-pipeline:
  stage: benchmarks
  #allow_failure: true
  trigger:
    include: results/pid_config.yml
    #include:
    #  - artifact: results/pid_config.yml
        #job: generate_config

deploy_results:
  stage: deploy
  script:
    - echo "deploy results!"

      #  artifacts:
      #    paths:
      #      - datasets

      #track_test1:
      #  stage: detectors
      #  tags:
      #    - sodium
      #  script:
      #    - bash trackers/dummy_test.sh
      #  allow_failure: true
      #
      #cal_test1:
      #  stage: detectors
      #  tags:
      #    - sodium
      #  script:
      #    - bash calorimeters/dummy_test.sh
      #  allow_failure: true
      #
      #cal_test2:
      #  stage: detectors
      #  tags:
      #    - sodium
      #  script:
      #    - root -b -q calorimeters/zdc_neutrons_reader.cxx
      #  allow_failure: true


        #pid_test1:
        #  stage: detectors
        #  tags:
        #    - sodium
        #  script:
        #    - bash pid/dummy_test.sh
        #  allow_failure: true


      #pages:
      #  image: alpine
      #  when: manual
      #  stage: build
      #  script:
      #  - apk update && apk add doxygen  graphviz ttf-ubuntu-font-family
      #  - cd doc && doxygen Doxyfile && mv doxygen_output/html/ ../public/
      #  artifacts:
      #    paths:
      #    - public
      #  only:
      #  - master
